RHN Satellite Server 4.1.0: Installation Guide
Prev | Chapter 5. Entitlements | Next

# 5.3. Managing the RHN Certificate with RHN Satellite Activate

For disconnected Satellites or customers who prefer to work locally, Red Hat provides a command line tool for managing your RHN Entitlement Certificate and activating the Satellite using that certificate: RHN Satellite Activate (`rhn-satellite-activate`). This is included with the Satellite installation as part of the `rhns-satellite-tools` package.

## 5.3.1. Command Line Entitlement Options

The `rhn-satellite-activate` tool offers a handful of command line options for activating a Satellite using its RHN Entitlement Certificate:

Option | Description
--- | ---
`-h`, `--help` | Display the help screen with a list of options.
`--sanity-only` | Confirm certificate sanity. Does not activate the Satellite locally or remotely.
`--disconnected` | Activates locally but not on remote RHN Servers.
`--rhn-cert=/PATH/TO/CERT` | Uploads new certificate and activates the Satellite based upon the other options passed (if any).
`--systemid=/PATH/TO/SYSTEMID` | For testing only - Provides an alternative system ID by path and file. The system default is used if not specified.
`--no-ssl` | For testing only - Disable SSL.

Table 5-1. RHN Entitlement Certificate Options

To use these options, insert the option and the appropriate value, if needed, after the `rhn-satellite-activate` command. Refer to Section 5.3.2 Activating the Satellite.

## 5.3.2. Activating the Satellite

You should use the options in Table 5-1 to accomplish the following tasks in this order:

1. Validate the RHN Entitlement Certificate's sanity (or usefulness).

2. Activate the Satellite locally by inserting the RHN Entitlement Certificate into the local database.

3. Activate the Satellite remotely by inserting the RHN Entitlement Certificate into the central RHN (remote) database. This is typically accomplished during local activation but may require a second step if you chose the `--disconnected` option.

Here are some examples depicting use of the tool and these options.

To validate an RHN Entitlement Certificate's sanity only:

    rhn-satellite-activate --sanity-only --rhn-cert=/path/to/demo.cert

To validate an RHN Entitlement Certificate and populate the local database:

    rhn-satellite-activate --disconnected --rhn-cert=/path/to/demo.cert

To validate an RHN Entitlement Certificate and populate both the local and the RHN database:

    rhn-satellite-activate --rhn-cert=/path/to/demo.cert

Once you run this final command, the Satellite is running and able to serve packages locally and synchronize with the central RHN Servers. Refer to Chapter 6 Importing and Synchronizing.

Prev | Home | Next
Uploading the RHN Entitlement Certificate | Up | Importing and Synchronizing